pqxx::tablestream Class Referenceabstract

Base class for obsolete tablereader/tablewriter classes. More...

`#include <tablestream.hxx>`

Inheritance diagram for pqxx::tablestream:
[legend]

## Public Member Functions

| tablestream (transaction_base &Trans, const std::string &Null=std::string{})
virtual | ~tablestream () noexcept=0
virtual void | complete ()=0
Public Member Functions inherited from pqxx::internal::transactionfocus
| transactionfocus (transaction_base &t)
| transactionfocus ()=delete
| transactionfocus (const transactionfocus &)=delete
transactionfocus & | operator= (const transactionfocus &)=delete
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname)
| namedclass (const std::string &Classname, const std::string &Name)
const std::string & | name () const noexcept
| Object name, or the empty string if no name was given. More...
const std::string & | classname () const noexcept
| Class name. More...
std::string | description () const
| Combination of class name and object name; or just class name. More...

## Protected Member Functions

const std::string & | NullStr () const
bool | is_finished () const noexcept
void | base_close ()
Protected Member Functions inherited from pqxx::internal::transactionfocus
void | register_me ()
void | unregister_me () noexcept
void | reg_pending_error (const std::string &) noexcept
bool | registered () const noexcept

## Static Protected Member Functions

template<typename ITER >
static std::string | columnlist (ITER colbegin, ITER colend)

## Additional Inherited Members

Protected Attributes inherited from pqxx::internal::transactionfocus
transaction_base & | m_trans

## Detailed Description

Base class for obsolete tablereader/tablewriter classes.

Deprecated:
  Use stream_from and stream_to instead.

## Constructor & Destructor Documentation

## tablestream()

pqxx::tablestream::tablestream | ( | transaction_base & | STrans,
|  | const std::string & | Null = `std::string{}`
| ) |  |

explicit

Implementation of the pqxx::tablestream class.

pqxx::tablestream provides optimized batch access to a database table.

Copyright (c) 2000-2019, Jeroen T. Vermeulen.

See COPYING for copyright license. If you did not receive a file called COPYING with this source code, please notify the distributor of this mistake, or contact the author.

References tablestream().

Referenced by tablestream().

## ~tablestream()

pqxx::tablestream::~tablestream | ( |  | ) |

pure virtual noexcept

## Member Function Documentation

## base_close()

void pqxx::tablestream::base_close | ( |  | ) |

protected

## columnlist()

template<typename ITER >

std::string pqxx::tablestream::columnlist | ( | ITER | colbegin,
|  | ITER | colend
| ) |  |

static protected

References pqxx::separated_list().

## complete()

virtual void pqxx::tablestream::complete | ( |  | ) |

pure virtual

Implemented in pqxx::tablewriter, and pqxx::tablereader.

## is_finished()

bool pqxx::tablestream::is_finished | ( |  | ) | const

protected noexcept

## NullStr()

const std::string& pqxx::tablestream::NullStr | ( |  | ) | const

protected

Referenced by pqxx::tablewriter::generate().

The documentation for this class was generated from the following files:

- tablestream.hxx
- tablestream.cxx